Skip to main content
POST
Deliver encrypted delegated share

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

walletId
string
required

UUID of the wallet

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Body

application/json

Encrypted delegated share delivery request

encryptedDelegatedShare
object
required

Response

Delegated share accepted for processing

delegatedShareDeliveryId
string<uuid>
required

Unique identifier for this delivery, used for tracking and correlation

status
enum<string>
required

Current status of the delegated share delivery

Available options:
accepted,
queued
message
string

Human-readable status message

Last modified on January 28, 2026